summaryrefslogtreecommitdiffstats
path: root/abs/extra/cpufreqd/cpufreqd
diff options
context:
space:
mode:
Diffstat (limited to 'abs/extra/cpufreqd/cpufreqd')
-rw-r--r--abs/extra/cpufreqd/cpufreqd35
1 files changed, 35 insertions, 0 deletions
diff --git a/abs/extra/cpufreqd/cpufreqd b/abs/extra/cpufreqd/cpufreqd
new file mode 100644
index 0000000..af55456
--- /dev/null
+++ b/abs/extra/cpufreqd/cpufreqd
@@ -0,0 +1,35 @@
+#!/bin/bash
+
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+PID=`pidof -o %PPID /usr/sbin/cpufreqd`
+case "$1" in
+ start)
+ stat_busy "Starting cpufreqd"
+ [ -z "$PID" ] && /usr/sbin/cpufreqd
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ add_daemon cpufreqd
+ stat_done
+ fi
+ ;;
+ stop)
+ stat_busy "Stopping cpufreqd"
+ [ ! -z "$PID" ] && kill $PID &> /dev/null
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ rm_daemon cpufreqd
+ stat_done
+ fi
+ ;;
+ restart)
+ $0 stop
+ $0 start
+ ;;
+ *)
+ echo "usage: $0 {start|stop|restart}"
+esac
+exit 0